linux-kernel.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
From: "Luis R. Rodriguez" <mcgrof@kernel.org>
To: Julia.Lawall@lip6.fr, Gilles.Muller@lip6.fr,
	nicolas.palix@imag.fr, mmarek@suse.com
Cc: linux-kernel@vger.kernel.org, cocci@systeme.lip6.fr,
	"Luis R. Rodriguez" <mcgrof@kernel.org>
Subject: [PATCH v3 3/6] scripts: add glimpse.sh for indexing the kernel
Date: Tue, 14 Jun 2016 13:23:37 -0700	[thread overview]
Message-ID: <1465935820-14010-4-git-send-email-mcgrof@kernel.org> (raw)
In-Reply-To: <1465935820-14010-1-git-send-email-mcgrof@kernel.org>

Glimpse is a tool you can use to index the kernel. The tool
was recently open sourced under the ISC license and can be
obtained at:

https://github.com/mcgrof/glimpse.git

Signed-off-by: Luis R. Rodriguez <mcgrof@kernel.org>
---
 scripts/glimpse.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)
 create mode 100755 scripts/glimpse.sh

diff --git a/scripts/glimpse.sh b/scripts/glimpse.sh
new file mode 100755
index 000000000000..5fd24e49f31b
--- /dev/null
+++ b/scripts/glimpse.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+DIR=$(dirname $(readlink -f $0))
+DIR="${DIR}/../"
+
+GLIMPSEINDEX="`which ${GLIMPSEINDEX:=glimpseindex}`"
+if [ ! -x "$GLIMPSEINDEX" ]; then
+	echo 'glimpseindex can be obtained at https://github.com/mcgrof/glimpse.git'
+	exit 1
+fi
+
+find $DIR/* -name "*.[ch]" | $GLIMPSEINDEX -o -H . -F
-- 
2.8.2

  parent reply	other threads:[~2016-06-14 20:23 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-14 20:05 [PATCH v2 0/5] coccicheck: extend with parmap and indexing heuristics Luis R. Rodriguez
2016-06-14 20:05 ` [PATCH v2 1/5] coccicheck: enable parmap support Luis R. Rodriguez
2016-06-14 20:05 ` [PATCH v2 2/5] scripts: add glimpse.sh for indexing the kernel Luis R. Rodriguez
2016-06-14 20:05 ` [PATCH v2 3/5] coccicheck: add indexing enhancement options Luis R. Rodriguez
2016-06-14 20:05 ` [PATCH v2 4/5] coccicheck: document how to pass extra options to coccinelle Luis R. Rodriguez
2016-06-14 20:05 ` [PATCH v2 5/5] coccicheck: refer to coccicheck bottest wiki for documentation Luis R. Rodriguez
2016-06-14 20:19 ` [PATCH v2 0/5] coccicheck: extend with parmap and indexing heuristics Luis R. Rodriguez
2016-06-14 20:23   ` [PATCH v3 0/6] " Luis R. Rodriguez
2016-06-14 20:23     ` [PATCH v3 1/6] coccicheck: move spatch binary check up Luis R. Rodriguez
2016-06-14 20:23     ` [PATCH v3 2/6] coccicheck: enable parmap support Luis R. Rodriguez
2016-06-14 20:23     ` Luis R. Rodriguez [this message]
2016-06-15 10:26       ` Aw: [Cocci] [PATCH v3 3/6] scripts: add glimpse.sh for indexing the kernel SF Markus Elfring
2016-06-15 18:00         ` Luis R. Rodriguez
2016-06-15 18:24           ` SF Markus Elfring
2016-06-15 18:43             ` Luis R. Rodriguez
2016-06-17 16:05               ` SF Markus Elfring
2016-06-17 17:23                 ` Luis R. Rodriguez
2016-06-14 20:23     ` [PATCH v3 4/6] coccicheck: add indexing enhancement options Luis R. Rodriguez
2016-06-15 11:20       ` Aw: [Cocci] " SF Markus Elfring
2016-06-15 20:00         ` Luis R. Rodriguez
2016-06-14 20:23     ` [PATCH v3 5/6] coccicheck: document how to pass extra options to coccinelle Luis R. Rodriguez
2016-06-14 20:23     ` [PATCH v3 6/6] coccicheck: refer to coccicheck bottest wiki for documentation Luis R. Rodriguez

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1465935820-14010-4-git-send-email-mcgrof@kernel.org \
    --to=mcgrof@kernel.org \
    --cc=Gilles.Muller@lip6.fr \
    --cc=Julia.Lawall@lip6.fr \
    --cc=cocci@systeme.lip6.fr \
    --cc=linux-kernel@vger.kernel.org \
    --cc=mmarek@suse.com \
    --cc=nicolas.palix@imag.fr \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).